package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevPatRoute;
import com.inspect.metadata.montdatamqhandle.vo.Coord;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontPatDevPatRouteMapper {
    BasedataMontPatDevPatRoute selectBasedataMontPatDevPatRouteByMontPatDevPatRouteId(Long routeId);

    List<BasedataMontPatDevPatRoute> selectBasedataMontPatDevPatRouteList(BasedataMontPatDevPatRoute route);

    int insertBasedataMontPatDevPatRoute(BasedataMontPatDevPatRoute route);

    int updateBasedataMontPatDevPatRoute(BasedataMontPatDevPatRoute route);

    int deleteBasedataMontPatDevPatRouteByMontPatDevPatRouteId(Long routeId);

    int deleteBasedataMontPatDevPatRouteByMontPatDevPatRouteIds(Long[] routeIds);

    List<Coord> getCoordList(String key);

    List<Coord> getRouteList(String key);
}
